#!/bin/bash
#
# source: http://downloads.sourceforge.net/linux-lc100020/zd1201-0.14-fw.tar.gz
#
# maintainer: gmg (monpontet.gerard@neuf.fr)
#

#------------------Set Some Variables

buildir=$(pwd)
soft="zd1201-firmware"
softversion="0.14"
arch="noarch"
packageversion="54.1"
src="$buildir/zd1201-0.14-fw"
package="$soft-$softversion-$arch-$packageversion"
dest="$buildir/$package"

# -----------------Extract sources and get ready to build

cd $buildir
rm -rf $src
tar -xvzf zd1201-0.14-fw.tar.gz
rm -f $dest.tgz
rm -rf $dest
mkdir -p $dest/install

#-----------------Make the slack-desc files

cat << EODESC >> $dest/install/slack-desc
# HOW TO EDIT THIS FILE:
# The "handy ruler" below makes it easier to edit a package description.  Line
# up the first '|' above the ':' following the base package name, and the '|'
# on the right side marks the last column you can put a character in.  You must
# make exactly 11 lines for the formatting to be correct.  It's also
# customary to leave one space after the ':'.

               |-----handy-ruler----------------------------------------------|
zd1201-firmware: zd1201-firmware - Firmware for the zd1201 chip
zd1201-firmware:
zd1201-firmware: This package contains the firmware needed for the zd1201
zd1201-firmware: devices to work. This package contains two files, zd1201.fw 
zd1201-firmware: is the firmware file for using the device as a normal 802.11b
zd1201-firmware: client. The file zd1201-ap.fw is used to put the device in
zd1201-firmware: access point mode.
zd1201-firmware:
zd1201-firmware:
zd1201-firmware:
zd1201-firmware:
EODESC

#------------------Set correct permissions

cd $src

chown -R root:root .

mkdir -p $dest/lib/firmware
cp *.fw $dest/lib/firmware

mkdir -p $dest/usr/doc/$soft-$softversion
cp README $dest/usr/doc/$soft-$softversion

mkdir -p $dest/usr/src/$soft-$softversion
cp -a $buildir/build-$soft.sh $dest/usr/src/$soft-$softversion

#-------------------Make the packages and the md5sum

cd $dest
makepkg -l y -c n $dest.tgz
cd $buildir
md5sum $package.tgz > $package.md5